Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "hanno (hanno)" <hanno@g.o>
Subject: gentoo-x86 commit in app-office/taxbird: taxbird-0.10.ebuild ChangeLog
Date: Fri, 07 Sep 2007 14:58:38 +0000
hanno       07/09/07 14:58:38

  Modified:             taxbird-0.10.ebuild ChangeLog
  Log:
  taxbird add use-flag check for guile
  (Portage version: 2.1.3.7)

Revision  Changes    Path
1.2                  app-office/taxbird/taxbird-0.10.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/taxbird/taxbird-0.10.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/taxbird/taxbird-0.10.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/taxbird/taxbird-0.10.ebuild?r1=1.1&r2=1.2

Index: taxbird-0.10.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-office/taxbird/taxbird-0.10.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- taxbird-0.10.ebuild	14 Aug 2007 15:53:14 -0000	1.1
+++ taxbird-0.10.ebuild	7 Sep 2007 14:58:37 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2007 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/taxbird/taxbird-0.10.ebuild,v 1.1 2007/08/14 15:53:14 wrobel Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/taxbird/taxbird-0.10.ebuild,v 1.2 2007/09/07 14:58:37 hanno Exp $
 
 inherit eutils fdo-mime flag-o-matic
 
@@ -14,23 +14,25 @@
 SLOT="0"
 IUSE=""
 
-DEPEND="
-dev-libs/libgeier
-dev-libs/openssl
-=gnome-extra/gtkhtml-2*
-gnome-base/libgnomeui
-sys-devel/gettext
-dev-scheme/guile"
+DEPEND="dev-libs/libgeier
+	dev-libs/openssl
+	=gnome-extra/gtkhtml-2*
+	gnome-base/libgnomeui
+	sys-devel/gettext
+	dev-scheme/guile"
 
 pkg_setup() {
+	if ! built_with_use 'dev-scheme/guile' 'discouraged deprecated'; then
+		eerror "This package requires dev-scheme/guile with USE=\"discouraged deprecated\"."
+		die "Please reemerge dev-scheme/guile with USE=\"discouraged deprecated\"."
+		fi
+
 	filter-ldflags -Wl,--as-needed --as-needed
 }
 
 src_compile() {
-
 	econf || die "Configure failed!"
 	emake || die "Make failed!"
-
 }
 
 src_install() {



1.10                 app-office/taxbird/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/taxbird/ChangeLog?rev=1.10&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/taxbird/ChangeLog?rev=1.10&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-office/taxbird/ChangeLog?r1=1.9&r2=1.10

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-office/taxbird/ChangeLog,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- ChangeLog	14 Aug 2007 15:56:31 -0000	1.9
+++ ChangeLog	7 Sep 2007 14:58:37 -0000	1.10
@@ -1,6 +1,9 @@
 # ChangeLog for app-office/taxbird
 # Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/taxbird/ChangeLog,v 1.9 2007/08/14 15:56:31 wrobel Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/taxbird/ChangeLog,v 1.10 2007/09/07 14:58:37 hanno Exp $
+
+  07 Sep 2007; Hanno Boeck <hanno@g.o> taxbird-0.10.ebuild:
+  Add check for guile use-flags.
 
   14 Aug 2007; wrobel@g.o -taxbird-0.6.ebuild, -taxbird-0.7.ebuild:
   Removed older, buggy taxbird-0.6 and taxbird-0.7 from the tree.



-- 
gentoo-commits@g.o mailing list


Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in net-irc/konversation: ChangeLog konversation-1.0.1-r3.ebuild
Next by thread:
gentoo-x86 commit in app-office/taxbird: taxbird-0.10.ebuild ChangeLog
Previous by date:
gentoo-x86 commit in net-irc/konversation: ChangeLog konversation-1.0.1-r3.ebuild
Next by date:
gentoo-x86 commit in net-libs/libgssglue: libgssglue-0.1.ebuild ChangeLog


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.